------------------------------------------------------------------------------
--  Test: Session_Handling_006
--  Verification: This test verifies the logon deny can be removed
--
--  Test Details:
--      1.  remove the logon deny from LGN_Session_Handling
--
--  Test Dependenices:
--      1.  This test must be executed as a sysadmin
------------------------------------------------------------------------------
DECLARE @error_message 	nvarchar(1024)

BEGIN TRY
	SET NOCOUNT ON

	------------------------------------------------------------------------------
	-- If the version is not correct then do not run the script
	------------------------------------------------------------------------------
	IF SERVERPROPERTY( N'ProductVersion' ) <> N'10.50.2500.0'
	BEGIN
		SET @error_message = N'TESTRESULT: FAIL [Session_Handling_006] This test can only be executed on SQL Server 2008 R2 SP1';
		PRINT @error_message
		RETURN;
	END

	------------------------------------------------------------------------------
	-- Verify test dependencies
	------------------------------------------------------------------------------
	IF ( IS_SRVROLEMEMBER( N'sysadmin' ) = 0 )
	BEGIN
		SET @error_message = N'TESTRESULT: FAIL [Session_Handling_006] This test must be executed by a sysadmin';
		PRINT @error_message
		RETURN;
	END

	------------------------------------------------------------------------------
	-- Verify deny can be revoked
	------------------------------------------------------------------------------
	DECLARE @retval int
	SET @retval = 1;
	EXEC @retval = [dbo].[sp_revoke_logon_denies] [LGN_Session_Handling]
	IF ( @retval <> 0 )
	BEGIN
		SET @error_message = N'TESTRESULT: FAIL [Session_Handling_006] Failure executing sp_revoke_logon_denies';
		PRINT @error_message
		RETURN;
	END


	PRINT 'TESTRESULT: PASS [Session_Handling_006]';
END TRY
BEGIN CATCH

	SET @error_message = N'TESTRESULT: FAIL [Session_Handling_006] ' + error_message();
	PRINT @error_message

END CATCH
go
